commit: 0aed34f7046029f7b312136e97e8d3f9451a6c80
Author: Davide Pesavento <pesa <AT> gentoo <DOT> org>
AuthorDate: Sat Dec 17 04:25:22 2016 +0000
Commit: Davide Pesavento <pesa <AT> gentoo <DOT> org>
CommitDate: Sat Dec 17 04:25:22 2016 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0aed34f7
dev-qt/qt-docs: remove Makefile accidentally left in the archive by upstream
Gentoo-Bug: 602750
Package-Manager: Portage-2.3.3, Repoman-2.3.1
dev-qt/qt-docs/qt-docs-5.7.1_p0.ebuild | 14 ++++++++++----
1 file changed, 10 insertions(+), 4 deletions(-)
diff --git a/dev-qt/qt-docs/qt-docs-5.7.1_p0.ebuild
b/dev-qt/qt-docs/qt-docs-5.7.1_p0.ebuild
index 542a8fb..c04b93d 100644
--- a/dev-qt/qt-docs/qt-docs-5.7.1_p0.ebuild
+++ b/dev-qt/qt-docs/qt-docs-5.7.1_p0.ebuild
@@ -21,14 +21,20 @@ DEPEND="app-arch/p7zip"
S=${WORKDIR}/Docs/Qt-$(get_version_component_range 1-2)
+src_prepare() {
+ default
+
+ # bug 597026
+ rm -r global || die
+
+ # bug 602750
+ rm Makefile || die
+}
+
src_install() {
# ${PV} instead of ${PF} is intentional
local dest=/usr/share/doc/qt-${PV%%_p*}
insinto "${dest}"
doins -r *
docompress -x "${dest}"
-
- # these files are not shipped in any other version of qt-docs and
collide with qtcore
- # bug 597026
- rm -rf "${ED}${dest}"/global || die
}